BAKEFILE_GEN(1)

NAME
bakefile_gen - batch bakefile generation

SYNOPSIS

bakefile_gen [-dDESCFILE...] [-FFORMATS...] [-DVAR=VALUE...] [-IPATH...] [-c] [--list-files] [-j] [-p] [--dry-run] [-k] [-n] [-v] [-V]

DESCRIPTION

Calls bakefile with flags listed in description file (Bakefiles.bkgen or file specified using the --desc option).

COMMAND LINE OPTIONS

--desc=DESCFILE
    Uses given description file instead of Bakefiles.bkgen.

--formats=FORMATS
    Calls Bakefile to generate only makefiles for specified formats. FORMATS is comma-separed list of format names. Formats not included in the list are ignored even if they are listed in <add-formats> tags in the description file.

--bakefiles=BAKEFILES
    Calls Bakefile to generate makefiles only from bakefiles that match any wildcard in comma-separed list of wildcards in BAKEFILES. Input files specified using the <input> tag in the description file that don't match any of the wildcards are not processed.

-DVAR=VALUE
    Pass variable definition to Bakefile, overriding any definition in description file or the input bakefile.

-IPATH
    Add path to the list of directories where Bakefile looks for rules and output templates.

-c, --clean
    Removes all output files instead of generating them.

--list-files
    Prints the list of output files that would be generated instead of creating them. This command respects the constraints specified using the --format and --bakefile options. It can be used for example to create the list of all makefiles for given format.

-j, --jobs
    Number of jobs to run simultaneously. Default is the number of CPUs.

-p, --pretend
    Don't do anything, only display actions that would be performed.

--dry-run
    Process the bakefile normally, but instead of creating or modifying files, just print which files would be changed without actually modifying them.

-k, --keep-going
    Do not stop when a target fails.

-B, --always-make
    Pretend that all makefiles are out of date and regenerate all of them. -f and -b options are respected.

-v, --verbose
    Display detailed information.

-V, --very-verbose
    Display even more detailed information.

--help
    Display usage information for bakefile_gen